<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//打开用户表，并检测用户是否登录
$MB->Open('','login');

$skin->WebTop();


echo('
<script language="javascript" type="text/javascript" src="js/inc/list.js?v='. OT_VERSION .'"></script>
<script language="javascript" type="text/javascript" src="js/vpsDel.js?v='. OT_VERSION .'"></script>
');


switch ($mudi){
	case 'manage':
		$MB->IsSecMenuRight('alertBack',400,$dataType);
		manage();
		break;

	default:
		die('err');
}

$skin->WebBottom();

$MB->Close();
$DB->Close();





function manage(){
	global $DB,$MB,$skin,$mudi,$dataType,$dataTypeCN,$pageCount,$recordCount;

	$dataMode	= OT::GetStr('dataMode');
	$dataModeStr= OT::GetStr('dataModeStr');

	$todayDate = TimeDate::Get('date');
	$endTime10 = TimeDate::Add('d', -10, $todayDate);
	$endTime15 = TimeDate::Add('d', -15, $todayDate);
	$endTime20 = TimeDate::Add('d', -20, $todayDate);
	$endTime30 = TimeDate::Add('d', -30, $todayDate);
	$endTime50 = TimeDate::Add('d', -50, $todayDate);
	$endTime = $endTime50;

	$skin->TableTop('share_rev.gif','','域名');
		echo('
		<form id="domainForm" name="domainForm" method="post" action="vpsDel_deal.php?mudi=del&type=domain" style="padding:8px;" onsubmit="return CheckForm(\'domain\');">
		<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'" />\')</script>
		<input type="hidden" name="mudi" value="'. $mudi .'" />
		<input type="hidden" name="dataType" value="'. $dataType .'" />
		<input type="hidden" name="dataTypeCN" value="'. $dataTypeCN .'" />
		到期日期：<input type="text" id="domainDate" name="domainDate" size="12" value="'. $endTime .'" onfocus="WdatePicker({dateFmt:\'yyyy-MM-dd\'})" />
		<span class="pointer font3_2" onclick="$id(\'domainDate\').value=\''. $endTime50 .'\'">[50天前]</span>&ensp;
		&ensp;
		<input type="button" value=" 查 询 " onclick="LoadData(\'domain\')">&ensp;&ensp;&ensp;&ensp;
		<!-- <input type="submit" value=" 确定删除 " style="color:red;"> -->

		<div id="domainList" style="padding:15px 0px;font-size:14px; line-height:1.8;"></div>
		</form>
		');
	$skin->TableBottom();

	echo('
	<br />
	');

	$endTime = $endTime15;

	$skin->TableTop('share_rev.gif','','虚拟主机');
		echo('
		<form id="hostForm" name="hostForm" method="post" action="vpsDel_deal.php?mudi=del&type=host" style="padding:8px;" onsubmit="return CheckForm(\'host\');">
		<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'" />\')</script>
		<input type="hidden" name="mudi" value="'. $mudi .'" />
		<input type="hidden" name="dataType" value="'. $dataType .'" />
		<input type="hidden" name="dataTypeCN" value="'. $dataTypeCN .'" />
		到期日期：<input type="text" id="hostDate" name="hostDate" size="12" value="'. $endTime .'" onfocus="WdatePicker({dateFmt:\'yyyy-MM-dd\'})" />
		<span class="pointer font3_2" onclick="$id(\'hostDate\').value=\''. $endTime15 .'\'">[15天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'hostDate\').value=\''. $endTime20 .'\'">[20天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'hostDate\').value=\''. $endTime30 .'\'">[30天前]</span>&ensp;
		&ensp;
		<input type="button" value=" 查 询 " onclick="LoadData(\'host\')">&ensp;&ensp;&ensp;&ensp;
		<!-- <input type="submit" value=" 确定删除 " style="color:red;"> -->

		<div id="hostList" style="padding:15px 0px;font-size:14px; line-height:1.8;"></div>
		</form>
		');
	$skin->TableBottom();

	echo('
	<br />
	');

	$skin->TableTop('share_rev.gif','','云服务器');
		echo('
		<form id="vpsApiForm" name="vpsApiForm" method="post" action="vpsDel_deal.php?mudi=del&type=vpsApi" style="padding:8px;" onsubmit="return CheckForm(\'vpsApi\');">
		<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'" />\')</script>
		<input type="hidden" name="mudi" value="'. $mudi .'" />
		<input type="hidden" name="dataType" value="'. $dataType .'" />
		<input type="hidden" name="dataTypeCN" value="'. $dataTypeCN .'" />
		到期日期：<input type="text" id="vpsApiDate" name="vpsApiDate" size="12" value="'. $endTime .'" onfocus="WdatePicker({dateFmt:\'yyyy-MM-dd\'})" />
		<span class="pointer font3_2" onclick="$id(\'vpsApiDate\').value=\''. $endTime15 .'\'">[15天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'vpsApiDate\').value=\''. $endTime20 .'\'">[20天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'vpsApiDate\').value=\''. $endTime30 .'\'">[30天前]</span>&ensp;
		&ensp;
		<input type="button" value=" 查 询 " onclick="LoadData(\'vpsApi\')">&ensp;&ensp;&ensp;&ensp;
		<!-- <input type="submit" value=" 确定删除 " style="color:red;"> -->

		<div id="vpsApiList" style="padding:15px 0px;font-size:14px; line-height:1.8;"></div>
		</form>
		');
	$skin->TableBottom();

	echo('
	<br />
	');

	$skin->TableTop('share_rev.gif','','服务器租用');
		echo('
		<form id="servForm" name="servForm" method="post" action="vpsDel_deal.php?mudi=del&type=serv" style="padding:8px;" onsubmit="return CheckForm(\'serv\');">
		<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'" />\')</script>
		<input type="hidden" name="mudi" value="'. $mudi .'" />
		<input type="hidden" name="dataType" value="'. $dataType .'" />
		<input type="hidden" name="dataTypeCN" value="'. $dataTypeCN .'" />
		到期日期：<input type="text" id="servDate" name="servDate" size="12" value="'. $endTime .'" onfocus="WdatePicker({dateFmt:\'yyyy-MM-dd\'})" />
		<span class="pointer font3_2" onclick="$id(\'servDate\').value=\''. $endTime15 .'\'">[15天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'servDate\').value=\''. $endTime20 .'\'">[20天前]</span>&ensp;
		<span class="pointer font3_2" onclick="$id(\'servDate\').value=\''. $endTime30 .'\'">[30天前]</span>&ensp;
		&ensp;
		<input type="button" value=" 查 询 " onclick="LoadData(\'serv\')">&ensp;&ensp;&ensp;&ensp;
		<!-- <input type="submit" value=" 确定删除 " style="color:red;"> -->

		<div id="servList" style="padding:15px 0px;font-size:14px; line-height:1.8;"></div>
		</form>
		');
	$skin->TableBottom();

}

?>